%define upstream_name    MooseX-App-Cmd
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Reads from config file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long::Descriptive)
BuildRequires: perl(Moose) >= 0.860.0
BuildRequires: perl(MooseX::Getopt) >= 0.180.0
BuildRequires: perl(Test::use::ok)
BuildArch:  noarch

%description
This module marries the App::Cmd manpage with the MooseX::Getopt manpage.

Use it like the App::Cmd manpage advises (especially see the
App::Cmd::Tutorial manpage), swapping the App::Cmd::Command manpage for the
MooseX::App::Cmd::Command manpage.

Then you can write your moose commands as moose classes, with the
MooseX::Getopt manpage defining the options for you instead of 'opt_spec'
returning a the Getopt::Long::Descriptive manpage spec.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Mar 05 2012 jquelin <jquelin> 0.70.0-1.mga2
+ Revision: 218763
- update to 0.07

* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 36429
- mageia rebuild
- imported package perl-MooseX-App-Cmd


* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.60.0-1mdv2011.0
+ Revision: 606877
- import perl-MooseX-App-Cmd

